Skip to main content
GET
/
indexes
/
{index_name}
from pinecone.grpc import PineconeGRPC as Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.describe_index(name="docs-example")
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });

await pc.describeIndex('docs-example');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;

public class DescribeIndexExample {
    public static void main(String[] args) {
        Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
        IndexModel indexModel = pc.describeIndex("docs-example");
        System.out.println(indexModel);
    }
}
package main

import (
    "context"
    "encoding/json"
    "fmt"
    "log"

    "github.com/pinecone-io/go-pinecone/v3/pinecone"
)

func prettifyStruct(obj interface{}) string {
    bytes, _ := json.MarshalIndent(obj, "", "  ")
    return string(bytes)
}

func main() {
    ctx := context.Background()

    pc, err := pinecone.NewClient(pinecone.NewClientParams{
        ApiKey: "YOUR_API_KEY",
    })
    if err != nil {
        log.Fatalf("Failed to create Client: %v", err)
    }

    idx, err := pc.DescribeIndex(ctx, "docs-example")
    if err != nil {
        log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
    } else {
        fmt.Printf("index: %v\n", prettifyStruct(idx))
    }
}
using Pinecone;

var pinecone = new PineconeClient("YOUR_API_KEY");

var indexModel = await pinecone.DescribeIndexAsync("docs-example");

Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"

curl -i -X GET "https://api.pinecone.io/indexes/docs-example" \
    -H "Api-Key: $PINECONE_API_KEY" \
    -H "X-Pinecone-Api-Version: 2025-01"
{'deletion_protection': 'disabled',
 'dimension': 1536,
 'host': 'docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io',
 'metric': 'cosine',
 'name': 'docs-example-dense',
 'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
 'status': {'ready': True, 'state': 'Ready'},
 'tags': {'environment': 'development'},
 'vector_type': 'dense'}
{
  "name": "docs-example-dense",
  "dimension": 1536,
  "metric": "cosine",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "deletionProtection": "disabled",
  "tags": { "environment": "development", "example": "tag" },
  "embed": undefined,
  "spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
  status: { ready: true, state: 'Ready' },
  vectorType: 'dense'
}
class IndexModel {
    name: docs-example-dense
    dimension: 1536
    metric: cosine
    host: docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io
    deletionProtection: disabled
    tags: {environment=development}
    embed: null
    spec: class IndexModelSpec {
        pod: null
        serverless: class ServerlessSpec {
            cloud: aws
            region: us-east-1
            additionalProperties: null
        }
        additionalProperties: null
    }
    status: class IndexModelStatus {
        ready: true
        state: Ready
        additionalProperties: null
    }
    vectorType: dense
    additionalProperties: null
}
index: {
  "name": "docs-example-dense",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "metric": "cosine",
  "vector_type": "dense",
  "deletion_protection": "disabled",
  "dimension": 1536,
  "spec": {
    "serverless": {
      "cloud": "aws",
      "region": "us-east-1"
    }
  },
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "tags": {
    "environment": "development"
  }
}
{
  "name": "docs-example-dense",
  "dimension": 1536,
  "metric": "cosine",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "deletion_protection": "disabled",
  "tags": {
    "environment": "development"
  },
  "spec": {
    "serverless": {
      "cloud": "aws",
      "region": "us-east-1"
    }
  },
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "vector_type": "dense"
}
{
  "name": "docs-example-dense",
  "vector_type": "dense",
  "metric": "cosine",
  "dimension": 1536,
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "spec": {
    "serverless": {
      "region": "us-east-1",
      "cloud": "aws"
    }
  },
  "deletion_protection": "disabled",
  "tags": {
    "environment": "development"
  }
}
from pinecone.grpc import PineconeGRPC as Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.describe_index(name="docs-example")
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });

await pc.describeIndex('docs-example');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;

public class DescribeIndexExample {
    public static void main(String[] args) {
        Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
        IndexModel indexModel = pc.describeIndex("docs-example");
        System.out.println(indexModel);
    }
}
package main

import (
    "context"
    "encoding/json"
    "fmt"
    "log"

    "github.com/pinecone-io/go-pinecone/v3/pinecone"
)

func prettifyStruct(obj interface{}) string {
    bytes, _ := json.MarshalIndent(obj, "", "  ")
    return string(bytes)
}

func main() {
    ctx := context.Background()

    pc, err := pinecone.NewClient(pinecone.NewClientParams{
        ApiKey: "YOUR_API_KEY",
    })
    if err != nil {
        log.Fatalf("Failed to create Client: %v", err)
    }

    idx, err := pc.DescribeIndex(ctx, "docs-example")
    if err != nil {
        log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
    } else {
        fmt.Printf("index: %v\n", prettifyStruct(idx))
    }
}
using Pinecone;

var pinecone = new PineconeClient("YOUR_API_KEY");

var indexModel = await pinecone.DescribeIndexAsync("docs-example");

Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"

curl -i -X GET "https://api.pinecone.io/indexes/docs-example" \
    -H "Api-Key: $PINECONE_API_KEY" \
    -H "X-Pinecone-Api-Version: 2025-01"
{'deletion_protection': 'disabled',
 'dimension': 1536,
 'host': 'docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io',
 'metric': 'cosine',
 'name': 'docs-example-dense',
 'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
 'status': {'ready': True, 'state': 'Ready'},
 'tags': {'environment': 'development'},
 'vector_type': 'dense'}
{
  "name": "docs-example-dense",
  "dimension": 1536,
  "metric": "cosine",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "deletionProtection": "disabled",
  "tags": { "environment": "development", "example": "tag" },
  "embed": undefined,
  "spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
  status: { ready: true, state: 'Ready' },
  vectorType: 'dense'
}
class IndexModel {
    name: docs-example-dense
    dimension: 1536
    metric: cosine
    host: docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io
    deletionProtection: disabled
    tags: {environment=development}
    embed: null
    spec: class IndexModelSpec {
        pod: null
        serverless: class ServerlessSpec {
            cloud: aws
            region: us-east-1
            additionalProperties: null
        }
        additionalProperties: null
    }
    status: class IndexModelStatus {
        ready: true
        state: Ready
        additionalProperties: null
    }
    vectorType: dense
    additionalProperties: null
}
index: {
  "name": "docs-example-dense",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "metric": "cosine",
  "vector_type": "dense",
  "deletion_protection": "disabled",
  "dimension": 1536,
  "spec": {
    "serverless": {
      "cloud": "aws",
      "region": "us-east-1"
    }
  },
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "tags": {
    "environment": "development"
  }
}
{
  "name": "docs-example-dense",
  "dimension": 1536,
  "metric": "cosine",
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "deletion_protection": "disabled",
  "tags": {
    "environment": "development"
  },
  "spec": {
    "serverless": {
      "cloud": "aws",
      "region": "us-east-1"
    }
  },
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "vector_type": "dense"
}
{
  "name": "docs-example-dense",
  "vector_type": "dense",
  "metric": "cosine",
  "dimension": 1536,
  "status": {
    "ready": true,
    "state": "Ready"
  },
  "host": "docs-example-dense-govk0nt.svc.aped-4627-b74a.pinecone.io",
  "spec": {
    "serverless": {
      "region": "us-east-1",
      "cloud": "aws"
    }
  },
  "deletion_protection": "disabled",
  "tags": {
    "environment": "development"
  }
}

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Path Parameters

index_name
string
required

The name of the index to be described.

Response

Configuration information and deployment status of the index.

The IndexModel describes the configuration and status of a Pinecone index.

name
string
required

The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.

Required string length: 1 - 45
Example:

"example-index"

metric
enum<string>
required

The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'. If the 'vector_type' is 'sparse', the metric must be 'dotproduct'. If the vector_type is dense, the metric defaults to 'cosine'.

Available options:
cosine,
euclidean,
dotproduct
host
string
required

The URL address where the index is hosted.

Example:

"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"

spec
object
required
Example:
{
"pod": {
"environment": "us-east-1-aws",
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
},
"pod_type": "p1.x1",
"pods": 1,
"replicas": 1,
"shards": 1
}
}
status
object
required
Example:
{
"ready": true,
"state": "ScalingUpPodSize"
}
vector_type
string
default:dense
required

The index vector type. You can use 'dense' or 'sparse'. If 'dense', the vector dimension must be specified. If 'sparse', the vector dimension should not be specified.

dimension
integer<int32>

The dimensions of the vectors to be inserted in the index.

Required range: 1 <= x <= 20000
Example:

1536

deletion_protection
enum<string>
default:disabled

Whether deletion protection is enabled/disabled for the index.

Available options:
disabled,
enabled
tags
object

Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.

Example:
{ "tag0": "val0", "tag1": "val1" }
embed
object

The embedding model and document fields mapped to embedding inputs.

Example:
{
"field_map": { "text": "your-text-field" },
"metric": "cosine",
"model": "multilingual-e5-large",
"read_parameters": { "input_type": "query", "truncate": "NONE" },
"write_parameters": { "input_type": "passage" }
}